2021-02-24 19:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000798Frama-CPlug-in > Evapublic2014-02-12 16:59
Reporterpascal 
Assigned Topascal 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Carbon-20110201 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000798: Serial conversions in function result (csmith)
Descriptionshort x = -10;
int y, z, t;

unsigned short f(void)
{
  return x;
}

unsigned short g(void)
{
  unsigned short l = *(unsigned short*)&x;
  return l;
}

main(){
  y = *(unsigned short*)&x;
  z = f();
  t = g();
}

y and z are computed correctly, but t is wrong:

[value] Values for function main:
          y IN {65526; }
          z IN {65526; }
          t IN {-10; }
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004804

pascal (reporter)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2011-04-17 10:25 pascal New Issue
2011-04-17 10:25 pascal Status new => assigned
2011-04-17 10:25 pascal Assigned To => pascal
2011-04-17 10:37 svn
2011-04-17 10:37 svn Status assigned => resolved
2011-04-17 10:37 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2013-12-19 01:12 pascal Source_changeset_attached => framac master 6e87b147
2014-02-12 16:54 pascal Source_changeset_attached => framac stable/neon 6e87b147
2014-02-12 16:59 pascal Note Added: 0004804
2014-02-12 16:59 pascal Status closed => resolved
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva
+Issue History